summaryrefslogtreecommitdiff
path: root/dev-python/authlib/authlib-1.6.5.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-03 19:04:04 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-03 19:04:04 +0000
commitaea0caf6fbf330077944736867748fcdabc85d33 (patch)
tree8abfffe4f3beca7a0fb19f0821243fb2c4f74285 /dev-python/authlib/authlib-1.6.5.ebuild
parent9db05347f01604a785caafda9c9c5dbac4649447 (diff)
downloadbaldeagleos-repo-aea0caf6fbf330077944736867748fcdabc85d33.tar.gz
baldeagleos-repo-aea0caf6fbf330077944736867748fcdabc85d33.tar.xz
baldeagleos-repo-aea0caf6fbf330077944736867748fcdabc85d33.zip
Adding metadata
Diffstat (limited to 'dev-python/authlib/authlib-1.6.5.ebuild')
-rw-r--r--dev-python/authlib/authlib-1.6.5.ebuild74
1 files changed, 74 insertions, 0 deletions
diff --git a/dev-python/authlib/authlib-1.6.5.ebuild b/dev-python/authlib/authlib-1.6.5.ebuild
new file mode 100644
index 000000000000..b5ffdd88beb0
--- /dev/null
+++ b/dev-python/authlib/authlib-1.6.5.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python library in building OAuth and OpenID Connect servers and clients"
+HOMEPAGE="
+ https://authlib.org/
+ https://github.com/authlib/authlib/
+ https://pypi.org/project/Authlib/
+"
+# pypi source distribution excludes the tests
+SRC_URI="
+ https://github.com/authlib/authlib/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="django flask jose test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ django? (
+ dev-python/django[${PYTHON_USEDEP}]
+ )
+ flask? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
+ )
+ jose? (
+ >=dev-python/pycryptodome-3.10[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/anyio[${PYTHON_USEDEP}]
+ dev-python/cachelib[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.10[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/starlette[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # convert from pycryptodomex to pycryptodome
+ sed -i -e 's:from Cryptodome:from Crypto:' \
+ authlib/jose/drafts/_jwe_enc_cryptodome.py || die
+}
+
+python_test() {
+ local -x DJANGO_SETTINGS_MODULE=tests.django_settings
+ epytest tests/{core,jose,clients,flask}
+
+ # TODO: django.core.exceptions.AppRegistryNotReady: Apps aren't loaded yet.
+ #epytest tests/django
+}